<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--params:
          - patient: patient to display
          - encounter: encounter to display -->
    <s:div styleClass="row" rendered="#{patient != null}">
        <div class="col-md-4">
            <h2>#{messages['gazelle.ordermanager.PatientsDemographics']}</h2>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Identifiers']}</ui:define>
                    <rich:list value="#{patient.patientIdentifiers}" var="pid" type="unordered">
                        <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
                    </rich:list>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                    <h:outputText value="#{patient.firstName} #{patient.lastName}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Gender']}</ui:define>
                    <h:outputText value="#{svsConsumer.getGender(patient)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Birthdate']}</ui:define>
                    <g:date value="#{patient.dateOfBirth}" time="false"/>
                    <h:outputText value=" (#{patient.getPatientAge()} #{messages['gazelle.ordermanager.YearsOld']})"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Country']}</ui:define>
                    <h:outputText value="#{svsConsumer.getCountry(patient)}"/>
                </s:decorate>
            </dl>
        </div>
        <div class="col-md-4">
            <h2>#{messages['gazelle.ordermanager.Observations']}</h2>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Size']}</ui:define>
                    <h:outputText value="#{patient.size} #{messages['gazelle.ordermanager.Cm']}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Weight']}</ui:define>
                    <h:outputText value="#{patient.weight} #{messages['gazelle.ordermanager.Kg']}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.Allergies']}</ui:define>
                    <h:outputText value="#{patient.contrastAllergies}"
                        rendered="#{not empty patient.contrastAllergies}"/>
                    <h:outputText value="#{messages['gazelle.ordermanager.NA']}" rendered="{empty patient.contrastAllergies}"/>
                </s:decorate>
            </dl>
        </div>
        <div class="col-md-4">
            <h2>#{messages['gazelle.ordermanager.EncountersDetails']}</h2>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                    <h:outputText value="#{encounter.visitNumber}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.PatientsClass']}</ui:define>
                    <h:outputText value="#{encounter.getPatientClass()}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.ReferringDoctor']}</ui:define>
                    <h:outputText value="#{encounter.getReferringDoctor()}"/>
                </s:decorate>
            </dl>
        </div>
    </s:div>
    <h:outputText value="#{messages['gazelle.ordermanager.NoPatientLinkedToThisOrder']}" rendered="#{patient == null}"/>
</ui:composition>
